package com.pj.feign;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.pj.dto.DataDto;
import com.pj.rabbitmq.RabbitMQ;
import com.pj.utils.MD5;
import com.pj.utils.ht.AESUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @Author Mechrevo
 * @Date 2023 08 29 14 15
 **/
@RestController
@RequestMapping("/async/")
public class AmqpTemplateController {

    @Autowired
    private AmqpTemplateFeign amqpTemplateFeign;

    /**
     * 发送对象至航通
     * @param t
     * @param <T>
     */
    @RequestMapping("rpc/sendObject")
    public <T> void sendObject(T t,String dataType){
        //发送
        amqpTemplateFeign.sendObject(t,dataType);
    }

}
